Bug 170892 - Redirected to Japanese page
Redirected to Japanese page
Product: Fedora Infrastructure
Classification: Retired
Component: website (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Webmaster
Elliot Lee
Depends On:
  Show dependency treegraph
Reported: 2005-10-15 00:01 EDT by Yoshihiro Totaka
Modified: 2014-01-21 17:52 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-11-20 16:00:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Yoshihiro Totaka 2005-10-15 00:01:11 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win 9x 4.90; en-US; rv:1.8b5) Gecko/20051006 Firefox/1.4.1

Description of problem:
When I visit http://fedoraproject.org/wiki/(http://fedoraproject.org/wiki/FrontPage) with localised Firefox or IE, I will be redirected to http://fedoraproject.org/wiki/%e3%83%95%e3%83%ad%e3%83%b3%e3%83%88%e3%83%9a%e3%83%bc%e3%82%b8

Version-Release number of selected component (if applicable):
Localised IE or Firefox (Japanese)

How reproducible:

Steps to Reproduce:
1.Use localised Firefox or IE
2.Visit http://fedoraproject.org/wiki/

Actual Results:  I see http://fedoraproject.org/wiki/%e3%83%95%e3%83%ad%e3%83%b3%e3%83%88%e3%83%9a%e3%83%bc%e3%82%b8

Expected Results:  I should see http://fedoraproject.org/wiki/FrontPage

Additional info:
Comment 1 Patrick Barnes 2005-10-15 15:04:07 EDT
This is a known problem in the current MoinMoin configuration.  For information
on this, see:


This is not a bug in any site or software.  Seth Vidal is already aware of this,
and has the ability to change the configuration to eliminate this.  There is a
configuration option that can be set to work around this.  The option can be
used to set the front page to something other than 'FrontPage'.  If the new name
isn't found in MoinMoin's built-in dictionary, then it won't try to translate
it.  According to the MoinMoin documentation, you can delete translated pages to
make the English version the default, but this does not work with the FrontPage.
 If it did, that would be a superior solution, as we would be able to take
advantage of this 'feature' to better support international visitors.
Comment 2 Patrick Barnes 2005-11-15 16:33:14 EST
In order to keep users from becoming confused and keep support for i18n on the
wiki, we should redirect all non-English forms of the FrontPage to the English
version.  When translated versions of those pages become available, we can
remove the redirect to allow normal usage.

If we do not want to translate the wiki pages (But why wouldn't we?), then this
would need to be changed in the wiki's configuration.

I'm CC-ing in Seth on this, as we would probably need his help if we need
configuration changes for i18n.

I'm also changing severity from low to normal (our international community is
more important than that) and assigning this to the web group.
Comment 3 Seth Vidal 2005-11-16 02:24:40 EST
How do you want me to fix this exactly?

Should I look up all the pages that are considered FrontPage and make apache
redirect statements to make them go to the right place?

If that's what is needed/desired then I need a list of the urls to redirect. I
only speak one language fluently and only 2 enough to be able to know what
FrontPage would look like so if you want these aliased to other languages give
me a list of the page names.
Comment 4 Patrick Barnes 2005-11-16 05:35:38 EST
If we just want to redirect the pages, browsing to them and using the #redirect
tag in wiki markup will suffice.  As for collecting a list of the pages/URLs, I
believe looking through the information in the source directory at MoinMoin/i18n
would be the most comprehensive way.  There might be a simple list somewhere,
but I don't know about it.

If we aren't going to do wiki translations at all, or if we wish to have the
English FrontPage be the default no matter what language the browser is set to,
then a configuration change would be necessary to disable this functionality. 
Setting page_front_page to something not in the built-in dictionary and renaming
FrontPage accordingly is the only way to disable the automatic redirection to
localized pages.

Comment 5 Seth Vidal 2005-11-16 08:07:32 EST
I don't see why we would want to disable translating the page.

You have access to add #redirect to pages. If that's the solution you want, then
do it. Why are you filing a bug?
Comment 6 Yoshihiro Totaka 2005-11-16 15:00:40 EST
Welll, I filed a bug. It seems front page is the only page
needs redirection. Adding #redirect to all languages' front page
would solve this problem.
Comment 7 Yoshihiro Totaka 2005-11-19 09:49:00 EST
Hi, changing "front page"'s name to something different and creating
"user-specified translations" seems to solve the problem. Please read the
following web page.

"User-specified translations" doesn't only solve this problem, but it may also
create path way for creating formal local web site. If a page is not translated,
it will fallback to English page. If it's translated, then users can view it in
their own language.

This seems to be the ideal solution. What do people think?
Comment 8 Yoshihiro Totaka 2005-11-19 09:54:32 EST
Woops, we didn't need to read the page on other people's wiki.
It's here. 
Comment 9 Yoshihiro Totaka 2005-11-19 11:23:14 EST
To clarify the solution. We need to do the following. I believe changing
page_front_page configuration variable is the easiest solution. 

"Either delete any translated page of FrontPage - they will only be used if they
exist. Or simply use the page_front_page configuration variable to choose
something different from FrontPage as your front page, e.g. MyProject. Moin will
then try to look up a translation for MyProject, but usually won't find any -
and thus simply use MyProject no matter what language the user prefers."
Comment 10 Seth Vidal 2005-11-20 16:00:33 EST
Okay, I made this change. I moved the FrontPage to FedoraMain

And all of the subpages of FrontPage were moved, too.

Let me know if you see any other problems.

Comment 11 Yoshihiro Totaka 2005-11-20 21:39:29 EST
Thank you! It's solved. It works. I don't see any problem using localised web
browsers. Fantastic!

Note You need to log in before you can comment on or make changes to this bug.